Subject: bug#53998: Guix pull always gets stuck at ~80% on fresh i686 1.3.0 install

From: Ahmad Draidi <[email-masked]>
Date: Mon, 14 Feb 2022 16:16:09 +0000

Hello Guix hackers,

Running 'guix pull' on a fresh basic install of Guix System 1.3.0 for i686
gets stuck at around 80%.
I've tested this several times and it happens most of the time. In the
other rare few cases other errors showed up. Not a single 'pull' succeeded
either way.
I let the pull run for days sometimes but it never finishes.
I run Guix x86_64 on my other systems without issues in the same
environment.

I tested this on a Pentium 4 32bits laptop with 786MB RAM at first, and
then switched to a VM with 8 GBs RAM, 2+ cores, 60GBs SSD to avoid any
resources issues.
Terminal log of one of the runs and config.scm attached.

Let me know if there's anything I can help with.

Regards,
Ahmad